Subject: RE: Where to install cygwin...
From: [email-masked] (Andrew Dalgleish)

28 Aug 1998 05:37:54 -0700
Message-ID: <[email-masked]>
To: [email-masked]

> -----Original Message-----
> From:	Earnie Boyd [SMTP:[email-masked]]
> Sent:	1998 August 27, Thursday 11:19
> To:	ALI RON; 'GNU-win32 Mailing List'
> Subject:	Re: Where to install cygwin...
> 
> ---ALI RON <[email-masked]> wrote:
> Hi Ali Ron,
> 
> >
> > Please tell me what would be the best install location
> > for usertools.exe, considering that I have the minimalist
> > version of GNAT installed in C:\USR.
> > Or would it be best to download the complete cdk.exe,
> > and use the default install location?
> 
> If you plan to do any development (UNIX style) you will need the
> cdk.exe.  As for the location to install, I prefer:
> 
> c:/root/bin
> c:/root/usr/bin
> c:/root/usr/include
> c:/root/usr/lib
> c:/root/usr/local/bin
> c:/root/usr/local/include
> c:/root/usr/local/lib
> 
> move bash.exe, sh.exe and cygwinb19.dll to c:/root/bin/
> move all other cygwin executables to c:/root/usr/bin/
> move the cygwin libALL_LIBS.a to c:/root/usr/lib/
> move the cygwin headers to c:/root/usr/include/
> 
> any non-cygwin related files would go to the appropriate sub-directory
> under c:/root/usr/local/ such as your GNAT compiler.
[Andrew Dalgleish]  
I use a very similar layout, except I use a separate drive letter (U)
rather than "c:/root"
This allows me to access either a "production" tree on a server using
"NET USE" (BTW, the MS "distributed file system" works just fine), or a
local "test" tree using "SUBST" without having to tinker with the mount
table.

I would like to be able to run two such systems running simultaneously.
If the root was set in the environment or command line, and the mounts
are taken from /etc...
Hmmm.

Regards

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".